Skip to main content
GET
/
accounts
/
{account_id}
/
deposits
/
{deposit_id}
Retrieve a deposit
curl --request GET \
  --url https://api.engine.usesophic.com/accounts/{account_id}/deposits/{deposit_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "account": "<string>",
  "amount": "<string>",
  "currency": "EUR",
  "payment_reference": "<string>",
  "was_advanced": true,
  "status": "open",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "advanced_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required
deposit_id
string
required

Response

OK

id
string
required

Unique resource identifier.

account
string
required

The ID of the parent account.

amount
string
required

The amount of the deposit.

Examples:

"100.00"

"50.12"

currency
enum<string>
required

The currency of the deposit.

Available options:
EUR,
USD,
GBP
payment_reference
string
required

The reference that will be used to identify the inbound payment that funds this deposit.

Example:

"202512161234"

was_advanced
boolean
required

Whether the deposit was advanced as unsettled cash.

status
enum<string>
required

The status of the deposit.

Available options:
open,
completed
created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.

advanced_at
string<date-time> | null

The timestamp (in ISO-8601 format) of when the deposit was advanced as unsettled cash, if applicable.

completed_at
string<date-time> | null

The timestamp (in ISO-8601 format) of when the deposit was completed i.e settled funds were credited to the account's cash balance.